﻿@page "/login"

<h2>Log In</h2>

@*@if (ShowAuthError)
{
    <div class="alert alert-danger" role="alert">
        <p>@Error</p>
    </div>}*@

@*class="card card-body bg-light mt-5"*@
<EditForm Model="_loginViewModel" OnValidSubmit="AuthenticateJWT">
    <DataAnnotationsValidator />
    <div class="input-group mb-3">
        <SfTextBox Placeholder="Username" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_loginViewModel.UserName">
            <ValidationMessage For="@(() => _loginViewModel.UserName)" />
        </SfTextBox>
    </div>
    <div class="input-group mb-3">
        <SfTextBox Placeholder="Password" FloatLabelType="@FloatLabelType.Auto" @bind-Value="_loginViewModel.Password"
                   Type="InputType.Password">
            <ValidationMessage For="@(() => _loginViewModel.Password)" />
        </SfTextBox>
    </div>
    <div class="input-group mb-3">
        <SfButton HtmlAttributes="@loginHtmlAttributes" Content="Log In" IsPrimary="true" />
    </div>
    @*<div class="form-group row">
            <label for="email" class="col-md-2 col-form-label">UserName:</label>
            <div class="col-md-10">
                <InputText id="email" class="form-control" @bind-Value="_loginViewModel.UserName" />
                <ValidationMessage For="@(() => _loginViewModel.UserName)" />
            </div>
        </div>*@

    @*<div class="form-group row">
            <label for="password" class="col-md-2 col-form-label">Password:</label>
            <div class="col-md-10">
                <InputText type="password" id="password" class="form-control" @bind-Value="_loginViewModel.Password" />
                <ValidationMessage For="@(() => _loginViewModel.Password)" />
            </div>
        </div>*@

    @*<div class="row">
        <div class="col-md-12 text-right">
            <button type="submit" class="btn btn-success">Login</button>
        </div>
    </div>*@
</EditForm>

<SfToast Title="@LoginToastTitle"
         Content="@LoginToastContent"
         CssClass="@LoginToastCss"
         Timeout="5000"
         ShowCloseButton="true"
         ShowProgressBar="true"
         @ref="@LoginToast">
    <ToastPosition X="Right" Y="Bottom"></ToastPosition>
</SfToast>